import logging
import sys
from fastapi import FastAPI
from src.config import LOG_LEVEL

def setup_logging(logger):
    # Your logging configuration here
    logger.setLevel(logging.DEBUG)
    # Create formatter
    formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")
    
    # Create console handler
    stream_handler = logging.StreamHandler(sys.stdout)
    stream_handler.setFormatter(formatter)
    logger.addHandler(stream_handler)
    